Create Workflow
curl --request POST \
--url https://api-prod.extend.app/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api-prod.extend.app/workflows"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api-prod.extend.app/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"workflow": {
"object": "workflow",
"id": "workflow_1234",
"version": "draft",
"name": "New Workflow"
}
}
Workflow Endpoints
Create Workflow
Create a new workflow in Extend.
Create Workflow
Workflows in Extend model an end to end data processing flow.
This endpoint will create a new workflow in Extend, which can then be configured and deployed.
Typically, workflows are created from our dashboard, however this endpoint can be used to create workflows programmatically in order to sync ID’s across systems. Configuration of the flow still needs to be done in the dashboard.
Body
string
required
The name of the workflow.
Response
boolean
A true or false value indicating whether the workflow was created successfully or not.
Workflow
A Workflow object representing the newly created workflow. See the Workflow object for more details.
Error Responses
boolean
Will be
false if the request failed.string
A description of the error that occurred.
{
"success": true,
"workflow": {
"object": "workflow",
"id": "workflow_1234",
"version": "draft",
"name": "New Workflow"
}
}

